> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Notify order refund

> The NotifyOrderRefund API notifies the merchant about Global-e initiated refund issued to the end customer.

<Note>
  Part of the [Refunds Notifications (from Global-e)](/refunds-notifications--from-global-e-) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/notifyorderrefund.yaml POST /order-refund-url
openapi: 3.0.3
info:
  title: NotifyOrderRefund
  version: 1.0.0
  description: >-
    The NotifyOrderRefund API notifies the merchant about Global-e initiated
    refund issued to the end customer. If implemented on the merchant's site,
    the Global-e servers post the information about customer refunds, in cases
    where such refunds are initiated on the Global-e side.
servers:
  - url: https://{merchant_site_domain}
    variables:
      merchant_site_domain:
        default: www.merchant-site-domain
        description: >-
          The merchant's site domain hosting the order-refund endpoint. The
          merchant supplies the actual URL to Global-e; the documentation shows
          it as a placeholder.
security: []
tags:
  - name: NotifyOrderRefund
    x-page-title: NotifyOrderRefund
  - name: 'Direction: Global-e → Merchant'
  - name: 'Domain: Orders'
paths:
  /order-refund-url:
    post:
      tags:
        - NotifyOrderRefund
      summary: Notify the merchant of a Global-e initiated refund
      description: >-
        The NotifyOrderRefund method notifies the merchant about Global-e
        initiated refunds issued to the shopper. If implemented on the
        merchant's site, the Global-e servers post the information about
        customer refunds, in cases where such refunds are initiated on the
        Global-e side.
      operationId: notifyOrderRefund
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MerchantOrderRefund'
            example:
              MerchantGUID: abcdabcd-abcd-abcd-abcd-abcdabcdabcd
              MerchantOrderId: '14123332'
              Products:
                - CartItemId: 12365
                  RefundQuantity: '3'
                  OriginalRefundAmount: '114.5300'
                  RefundAmount: '170.1000'
                  RefundReason:
                    OrderRefundReasonCode: DAMAGED-ITEM-CODE
                    Name: Damaged Item
                  RefundComments: Fully refunded order
              OrderId: GE69488861GB
              RefundId: 789
              RMANumber: 6543
              CurrencyCode: CAD
              OriginalCurrencyCode: USD
              TotalRefundAmount: '170.10'
              RefundReason:
                OrderRefundReasonCode: DAMAGED-ITEM-CODE
                Name: Damaged Item
              RefundComments: Fully refunded order
              OriginalTotalRefundAmount: '114.53'
              ServiceGestureAmount: '0.00'
              WebStoreCode: null
      responses:
        '200':
          description: >-
            The merchant returns a Merchant.ResponseInfo object. Some response
            values are encoded and require the merchant to decode them, for
            example URLs, addresses, emails, and phone numbers.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInfo'
components:
  schemas:
    MerchantOrderRefund:
      type: object
      title: Merchant.OrderRefund
      description: Contains information about order refunds.
      required:
        - OrderId
        - OriginalTotalRefundAmount
        - TotalRefundAmount
      properties:
        Components:
          type: array
          description: The list of RefundComponent objects for this order refund.
          items:
            $ref: '#/components/schemas/RefundComponent'
        MerchantGUID:
          type: string
          description: Unique identifier of the Merchant on Global-e.
        MerchantOrderId:
          type: string
          description: >-
            Order unique identifier on the Merchant's site returned from a
            previous call to the SendOrderToMerchant method for this order.
        MerchantRMANumber:
          type: string
          description: The Merchant's Returned Merchandize Authorization Number
        OrderId:
          type: string
          description: Global-e order unique identifier.
        OriginalTotalRefundAmount:
          type: string
          description: >-
            The refund amount in the original Merchant currency including the
            local Merchant's VAT (currency is specified in CurrencyCode property
            of the respective Merchant.Order).
        Products:
          type: array
          description: List of RefundProduct objects for this order refund.
          items:
            $ref: '#/components/schemas/RefundProduct'
        RefundComments:
          type: string
          description: Comments for the order refund
        RefundReason:
          allOf:
            - $ref: '#/components/schemas/OrderRefundReason'
          description: Reason for the order refund
        RMANumber:
          type: string
          description: The RMA number taken from the related Return.
        ServiceGestureAmount:
          type: string
          description: >-
            The "Service gesture" amount in the customer's currency is included
            in the TotalRefundAmount. "Service gesture" denotes any additional
            refund granted to the user, on top of the refund related to other
            components.
        TotalRefundAmount:
          type: string
          description: >-
            The total refund amount in the end customer's currency used for this
            order's payment (currency is specified in
            InternationalDetails.CurrencyCode property for the respective
            Merchant.Order).
        WebStoreCode:
          type: string
          nullable: true
          description: >-
            Code used on the Merchant's side to identify the web store, as
            specified in the WebStoreCode argument for the SendCart method for
            the cart converted to this order on Global-e.
        RefundId:
          type: string
        CurrencyCode:
          type: string
        OriginalCurrencyCode:
          type: string
    ResponseInfo:
      type: object
      title: Merchant.ResponseInfo
      description: Provides response data regarding the API call.
      properties:
        Description:
          type: string
          description: >-
            Optional response description. In case of an error, this property
            indicates the error message description.
        ErrorCode:
          type: string
          description: Error code to be returned when an error occurs.
        InternalOrderId:
          type: string
          description: Order unique identifier on the Merchant's site
        Message:
          type: string
          description: >-
            Optional response message. In case of an error, this property
            indicates the error message text.
        OrderId:
          type: string
          description: >-
            Order identifier on the Merchant's site used for display and
            reporting purposes only. Unlike the InternalOrderId, this identifier
            is not necessarily unique over time, as the Merchant's site may
            potentially reuse it (for example after deleting the old order
            having the same OrderId).
        PaymentAmount:
          type: string
          description: >-
            The total payment amount in PaymentCurrency charged for the order
            (if payment was processed in the respective API method call).
        PaymentCurrencyCode:
          type: string
          description: >-
            3-char ISO currency code for the order (if payment was processed in
            the respective API method call).
        StatusCode:
          type: string
          description: >-
            Code denoting the order status on the Merchant's site (to be mapped
            on the Global-e side).
        Success:
          type: boolean
          description: >-
            Indicates if the call has succeeded. TRUE - Call succeeded. FALSE -
            Denotes an error or failure.
    RefundComponent:
      type: object
      title: Merchant.RefundComponent
      properties:
        Amount:
          type: string
          description: The refund amount in customer currency.
        ComponentType:
          type: string
          description: Products, Shipping, Duties, PrepaidReturn or ServiceGesture.
        IsChargedToMerchant:
          type: string
          description: >-
            Indicates if the component is charged to the Merchant or to
            Global-e. TRUE - Component is charged to the Merchant (default).
            FALSE - Component is charged to Global-e. If the same component is
            split between charged to the Merchant and charged to Global-e, it
            should appear twice, each time with a different value in
            IsChargedToMerchant. Exception: A component PrepaidReturn - it
            should always be IsChargedToMerchant = TRUE.
        OriginalAmount:
          type: string
          description: The refund amount in Merchant currency.
    RefundProduct:
      type: object
      title: Merchant.RefundProduct
      required:
        - CartItemID
      properties:
        CartItemID:
          type: string
          description: >-
            Identifier of the line item on the Merchant's site. This property is
            mandatory and should be equal to the respective Product's CartItemId
            originally specified in the SendCart API for the order being
            refunded
        OriginalRefundAmount:
          type: string
          description: >-
            The refund amount in the original Merchant currency including the
            local Merchant's VAT for this product line item, before applying any
            price modifications (i.e. part of or the full value paid by Global-e
            to the Merchant, as was specified in Merchant.Product.Price for the
            respective order.
        ProductCode:
          type: string
          description: >-
            Product SKU or Product Variant ID according to merchant
            configuration. Can be used as a Product Identifier instead of
            CartItemId. If there are multiple products with the same identifier,
            we choose one of them arbitrarily.
        RefundAmount:
          type: string
          description: >-
            The refund amount for this product line item in customer currency
            used for the payment of this order
        RefundComments:
          type: string
          description: Comments for this product's refund
        RefundQuantity:
          type: string
          description: >-
            Product quantity (i.e. a part of the originally ordered quantity)
            that the refund refers to
        RefundReason:
          allOf:
            - $ref: '#/components/schemas/OrderRefundReason'
          description: Reason for this product's refund
        Sku:
          type: string
          description: This field is obsolete. Use ProductCode instead.
    OrderRefundReason:
      type: object
      title: Merchant.OrderRefundReason
      properties:
        Name:
          type: string
          description: Order refund reason name.
        OrderRefundReasonCode:
          type: string
          description: >-
            Code denoting the order refund reason on the Merchant's site (to be
            mapped on the Global-e side). If not mapped, Global-e internal code
            will be specified instead.

````